<?php

namespace Drupal\purge_users\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;

/**
 * Processes cron queue.
 *
 * @QueueWorker(
 *   id = "purge_users",
 *   title = @Translation("Purge Users Tasks Worker: Purge Users"),
 *   cron = {"time" = 15}
 * )
 */
class PurgeUsersQueueWorker extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($account) {
    $name = $account->get('name')->value;
    $mail = $account->get('mail')->value;
    $uid = $account->get('uid')->value;
    // Purge users.
    user_delete($uid);

    // Send a notification email.
    $config = \Drupal::config('purge_users.settings');
    $send_notification = $config->get('send_email_notification');
    if ($send_notification == 1) {
      purge_users_send_notification_email($account);
    }
    // Log purged user.
    $message = t('Purged user: %name &lt; %mail &gt;', array('%name' => $name, '%mail' => $mail));
    \Drupal::logger('purge_users')->info($message);
  }

}
